mbedtls_ecp_curve_info Struct Reference

`#include <ecp.h>`

## Data Fields

mbedtls_ecp_group_id | grp_id
uint16_t | tls_id
uint16_t | bit_size
const char * | name

## Detailed Description

Curve information for use by other modules

Definition at line 91 of file ecp.h.

## Field Documentation

## bit_size

uint16_t mbedtls_ecp_curve_info::bit_size

Curve size in bits

Definition at line 95 of file ecp.h.

## grp_id

mbedtls_ecp_group_id mbedtls_ecp_curve_info::grp_id

Internal identifier

Definition at line 93 of file ecp.h.

## name

const char* mbedtls_ecp_curve_info::name

Human-friendly name

Definition at line 96 of file ecp.h.

## tls_id

uint16_t mbedtls_ecp_curve_info::tls_id

TLS NamedCurve identifier

Definition at line 94 of file ecp.h.

The documentation for this struct was generated from the following file:

- ecp.h